SQL-инъекция в KwsPHP

Дата публикации:
13.10.2007
Всего просмотров:
2953
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
KwsPHP 1.x
Уязвимые версии: KwsPHP 1.0.85, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "newsletter" в сценарии index.php (когда параметр "mod" установлен в "newsletter"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: koogar.alorys-hebergement.com/kwsphp/index.php

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: KwsPHP 1.0 Newsletter Module Remote SQL Injection Exploit

или введите имя

CAPTCHA